declare const BACKEND_ORIGINS: string[];
declare const EMBED_DOMAINS: {
    allowedExternalLinks: string[];
    hostname: string[];
    name: string;
}[];
declare const LOG_FILE_NAME = "console.log";
declare const NAME: string;
declare const RAYGUN_API_KEY = "";
declare const SPELLCHECK: {
    SUGGESTIONS: number;
    SUPPORTED_LANGUAGES: string[];
};
declare const UPDATE: {
    DELAY: number;
    INTERVAL: number;
};
declare const URL: {
    LEGAL: string;
    LICENSES: string;
    PRIVACY: string;
};
declare const USER_AGENT = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36";
declare const VERSION: string;
declare const WINDOW: {
    ABOUT: {
        HEIGHT: number;
        WIDTH: number;
    };
    AUTH: {
        HEIGHT: number;
        WIDTH: number;
    };
    MAIN: {
        DEFAULT_HEIGHT: number;
        DEFAULT_WIDTH: number;
        MIN_HEIGHT: number;
        MIN_WIDTH: number;
    };
};
export { BACKEND_ORIGINS, EMBED_DOMAINS, LOG_FILE_NAME, NAME, RAYGUN_API_KEY, SPELLCHECK, UPDATE, URL, USER_AGENT, VERSION, WINDOW, };
